Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8174037

JDK/JRE 8/7/6 READMEs state that all the cryptographic providers in lib/ext are optional.

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: P3
    • Resolution: Won't Fix
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: docs
    • Labels:

      Description

      In READMEs like:

      ---begin---
      http://www.oracle.com/technetwork/java/javase/jre-8-readme-2095710.html

      Optional Files and Directories

      The following files may be optionally excluded from redistributions.
      ..deleted...
      The corresponding man pages should be excluded for any excluded executables (with paths listed below beginning with bin/, for the Solaris™ Operating System and Linux).

         lib/ext/ [Everything under this directory can be excluded]
              sunjce_provider.jar,sunec.jar, sunpkcs11.jar and
                  sunmscapi.jar -
      ---end---

      This is unclear and needs to be reworked a bit: not all providers can be removed unless there is an accessible replacement provider. Crypto users ultimately need cryptographic provider(s) with the algorithms described in this doc:

          http://docs.oracle.com/javase/8/docs/technotes/guides/security/StandardNames.html#impl

      Otherwise, crypto calls will start to fail due to the missing algs.

        Attachments

          Activity

            People

            • Assignee:
              cwayne Clifford Wayne
              Reporter:
              wetmore Bradford Wetmore
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: